<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:strings="http://exslt.org/strings"
    xmlns:set="http://exslt.org/sets">

	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" omit-xml-declaration="yes" indent="yes"/>
	<!-- =====================================================================================================================-->
	<xsl:param name="ELEMENTS"/>
	<xsl:param name="USER"/>
	<xsl:param name="PROPERTIES"/>

	<!-- =====================================================================================================================-->
	<xsl:template match="/">
		<xsl:apply-templates select="*"/>
	</xsl:template>    

	<xsl:template match="resourceDescription">
	    <xsl:copy>
		<xsl:copy-of select="@*"/>
		<xsl:apply-templates select="*[contains($ELEMENTS, name())]"/>
	    </xsl:copy>
	</xsl:template>

	<xsl:template match="user">
	    <xsl:if test="DN[text()=$USER]">
		<xsl:copy-of select="."/>
	    </xsl:if>
	</xsl:template>
	
	<xsl:template match="resourceDescription/applications">
	    <xsl:element name="applications">
		<xsl:apply-templates select="*[@name[starts-with(.,'.')=false]]"/>
		
		<xsl:if test="contains($PROPERTIES,'SHOW_HIDDEN_APPLICATIONS')"> 
		    <xsl:apply-templates select="*[@name[starts-with(.,'.')]]"/>
		</xsl:if> 
	    </xsl:element>
	</xsl:template>

	<!-- =====================================================================================================================-->
	<xsl:template match="*|@*|text()">
	    <xsl:copy>
    		<xsl:apply-templates select="*|@*|text()"/>
	    </xsl:copy>
	</xsl:template>
	<!-- =====================================================================================================================-->
</xsl:transform>
